=== debian/changelog ===
splay (0.2-1) unstable; urgency=low

  * New upstream version.

 -- Johnie Ingram <johnie@debian.org>  Mon, 17 Mar 1997 17:21:12 -0500

splay (0.1-1) unstable; urgency=low

  * Initial Release: Standards-Version 2.1.2.2 and debmake 3.2.3.
  * Thanks to "hyrlik" (on #natter at irc.linpeople.org) for discovering
    this on sunsite.

 -- Johnie Ingram <johnie@debian.org>  Thu, 13 Mar 1997 17:42:21 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "johnie@debian.org"
End:
