=== debian/control ===
Source: splay
Section: sound
Priority: optional
Maintainer: Johnie Ingram <johnie@debian.org>
Standards-Version: 2.1.2.2

Package: splay
Architecture: i386
Depends: ${shlibs:Depends}
Description: MPEG-3 audio player
 Based on maplay, this package decodes layer I, II, and III MPEG audio
 streams and plays them using a CD-quality audio device.  It uses far
 less computing power than one commercial equivalent, "l3dec".
 .
 Includes both splay and psplay, which is optimized for Pentium
 processors.
