## splay 0.9.5.2

=== debian/changelog ===
splay (0.9.5.2-13build1) wily; urgency=medium

  * No change rebuild for libtag1v5

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 23 Aug 2015 20:07:57 -0500

splay (0.9.5.2-13) unstable; urgency=low

  [ John Hedges ]
  * Switch to dpkg-source 3.0 (quilt) format
  * Removes autoconf generated files in clean target
  * Converts to machine readable copyright (DEP5)

  [ tony mancill ]
  * Update to build with hardening flags.
  * Bump Standards-Version to 3.9.3.
  * Bump debian/compat to 8.

 -- tony mancill <tmancill@debian.org>  Wed, 13 Jun 2012 21:22:44 -0700

splay (0.9.5.2-12) unstable; urgency=low

  * Uses libtag1 instead of (debian) deprecated libid3
  * Fixes uninitialised var bug in libs/fileplayer.cc
  * Adds dependency on oss-compat
  * Standards-version 3.9.2
  * Corrects debian/control - indeed, splay won't play wavs (closes: #546065)

 -- John Hedges <john@drystone.co.uk>  Mon, 12 Dec 2011 12:25:13 +0000

splay (0.9.5.2-11) unstable; urgency=low

  * Resolved g++-4.3 compiler issues (closes: #461711)
    libs/soundinputstream.cc libs/httpinput.cc libs/mpegtoraw.cc
    libs/fileplayer.cc libs/mpegsound.h apps/common.cc apps/splay.cc

 -- John Hedges <john@drystone.co.uk>  Thu, 21 Feb 2008 11:31:13 +0000

splay (0.9.5.2-10) unstable; urgency=low

  * Fixed pre-iso c++ headers (closes: #461711)
    libs/soundinputstream.cc libs/httpinput.cc libs/mpegtoraw.cc
    libs/fileplayer.cc libs/mpegsound.h apps/xsplay.cc
    apps/functions.cc apps/common.cc apps/splay.cc
  * Fixed bug in frame header decode (libs/mpegtoraw.cc) that failed to
    identify 48KHz sample rate
  * Fixed bug in apps/splay.cc where tracks without id3 genre displayed 
    usage info in place of genre with -vv(v)
  * Fixed all deprecated casts from string literal to char*
  * Standards-version 3.7.3
  * New debian/compat replaces DH_COMPAT in debian/rules

 -- John Hedges <john@drystone.co.uk>  Tue, 29 Jan 2008 13:32:28 +0000

splay (0.9.5.2-9) unstable; urgency=low

  * debian/rules: Fixed build-arch build-indep rules (closes: #418357)

 -- John Hedges <john@drystone.co.uk>  Tue, 10 Apr 2007 14:32:28 +0100

splay (0.9.5.2-8) unstable; urgency=low

  * Man page corrections to apps/splay.1 (closes: #350353).
    Thanks to A Costa for supplying patch
  * Updated debhelper build-depends to >= 5
    also DH_COMPAT in debian/rules
  * Updated FSF address in debian/copyright
  * Renamed debian/rules binary-arch target to binary-indep
    and added empty binary-arch target. (closes: #395772)
  * Removed build-stamp target and now touch build instead 
    of build-stamp in the build target istelf
  * Standards-version 3.7.2

 -- John Hedges <john@drystone.co.uk>  Mon, 30 Oct 2006 13:13:14 +0000

splay (0.9.5.2-7) unstable; urgency=low

  * Fixes random shuffle bug (closes: #306983).
    Thanks to Samuel Thibault for supplying this patch.
  * Repaired typo in man page (closes: #312765).
  * Fixes dependency on outdated libid3 package,
    now depends on libid3-3.8.3c2 (closes: #328215). 

 -- John Hedges <john@drystone.co.uk>  Wed, 14 Sep 2005 10:30:00 +0100

splay (0.9.5.2-6) unstable; urgency=low

  * Cleaned remains of xsplay from debian/*
  * Modified splay man page to reflect lack of xsplay
  * Modified -v[v[v]] option to splay manpage (closes: #174032)
  * Fleshed out debian/copyright
  * Standards-version 3.6.2
  * Updated debian/rules to honour DEB_BUILD_OPTIONS
    and added support for DEB_{HOST,BUILD}_GNU_TYPE
  * Replaced debian/dirs with explicit dh_installdirs [file]
  * New maintainer (closes: #246971)

 -- John Hedges <john@drystone.co.uk>  Sat, 14 Aug 2004 13:00:00 +0100

splay (0.9.5.2-5) unstable; urgency=low

  * QA Upload.
  * Set Architecture to any.  Let's hope bug 71953 doesn't come back.
    (In four years, anything could have happened.)  (Closes: #71953,
    #249400.)
  
    But if sparc build failures still exist after this, then the
    architecture list should be set to i386 alpha arm m68k powerpc amd64,
    and bug 71953 should be reopened (as wishlist).

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon,  9 Aug 2004 14:44:16 -0700

splay (0.9.5.2-4) unstable; urgency=low

  * Package orphaned.

 -- Zed Pobre <zed@debian.org>  Sun,  2 May 2004 11:33:10 -0500

splay (0.9.5.2-3) unstable; urgency=low

  * Compiled against and Build-Depends: libid3-3.8.3-dev (closes: #196286)
  * debian/copyright: /usr/share/common-licenses, not
    /usr/share/doc/common-licenses.
  * Standards-Version 3.5.10

 -- Zed Pobre <zed@debian.org>  Thu,  5 Jun 2003 16:00:49 -0500

splay (0.9.5.2-2) unstable; urgency=low

  * Recompile now that g++-3.2 is the default.
  * The ID3 GetError string output functions seem to have vanished, so
    I have commented them out of the code.

 -- Zed Pobre <zed@debian.org>  Wed, 12 Feb 2003 12:18:57 -0600

splay (0.9.5.2-1) unstable; urgency=low

  * New upstream bugfix release (closes: #127647)

 -- Zed Pobre <zed@debian.org>  Sat, 19 Jan 2002 10:39:59 -0600

splay (0.9.5.1-3) unstable; urgency=low

  * Fix outdated reference to QT GPL incompatability in splay description
    (closes: #109966)
  * Remove empty TODO file.
  * Remove emacs add-log-mailing-address entry at bottom of changelog.
  * Remove emacs debian-changelog mode force from changelog entirely (it
    seems to be autodetected now).

 -- Zed Pobre <zed@debian.org>  Fri, 24 Aug 2001 21:33:24 -0500

splay (0.9.5.1-2) unstable; urgency=low

  * Remove libstdc++-dev from Build-Depends, as it is Build-Essential
    (closes: #105957)
  * Standards Version 3.5.6 (no changes needed).

 -- Zed Pobre <zed@debian.org>  Sat, 28 Jul 2001 14:34:11 -0500

splay (0.9.5.1-1) unstable; urgency=low

  * New upstream version
  * Frame skipping with -k is now implemented (closes: #89916)

 -- Zed Pobre <zed@debian.org>  Sun, 25 Mar 2001 13:11:24 -0600

splay (0.9.4-1) unstable; urgency=low

  * New upstream version.  Genres are now printed as text.
  * Updated upstream location in copyright file


