=== debian/control ===
Source: splay
Build-Depends: debhelper (>= 8.1.3), libtag1-dev, autoconf, automake
Build-Conflicts: autoconf2.13, automake1.4
Section: sound
Priority: optional
Maintainer: John Hedges <john@drystone.co.uk>
Uploaders: tony mancill <tmancill@debian.org>
Standards-Version: 3.9.3

Package: splay
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, oss-compat
Description: Sound player for MPEG-1,2 layer 1,2,3
 Based on maplay, this package decodes layer I, II, and III MPEG audio
 streams/files and plays them from the command line.
